umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros
dontaskagain.h File Reference
`#include <QList>`
`#include <QString>`
`#include <QWidget>`
`#include <KLocalizedString>`

Go to the source code of this file.

## Classes
class | DontAskAgainItem
class | DontAskAgainWidget
class | DontAskAgainHandler

## Macros
#define | DefineDontAskAgainItem(name, key, _text)

## Macro Definition Documentation

## ◆ DefineDontAskAgainItem

#define DefineDontAskAgainItem | ( |  | name,
|  |  | key,
|  |  | _text )

Value:
class DontAskAgainItem##name : public DontAskAgainItem \
{ \
public: \
DontAskAgainItem##name() : DontAskAgainItem(QStringLiteral(key)) {} \
virtual QString text() const { return _text; } \
}; \
static DontAskAgainItem##name name;
DontAskAgainItem
Definition dontaskagain.h:25
DontAskAgainItem::text
virtual QString text() const =0
DontAskAgainItem::name
QString & name()
Definition dontaskagain.cpp:31